package com.qianhe.zqbf.service;

import com.qianhe.zqbf.domain.ZqbfXmzBfxm;
import com.qianhe.zqbf.domain.ZqbfXmzBfxmQuery;
import com.qianhe.zqbf.domain.ZqbfXmzBfxmVo;

import java.util.List;

public interface ZqbfXmzBfxmService {
    /**
     * 条件查询
     */
    List<ZqbfXmzBfxmVo> list(ZqbfXmzBfxmQuery zqbfXmzBfxmQuery);

    /**
     * 查询详情
     */
    ZqbfXmzBfxmVo info(Long id);

    /**
     * 新增
     */
    int add(ZqbfXmzBfxm zqbfXmzBfxm, String username);

    /**
     * 修改
     */
    int edit(ZqbfXmzBfxm zqbfXmzBfxm, String username);

    /**
     * 删除
     */
    int delete(Long[] ids);
}
